# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name enumerator

%global common_summary Implementation of Oleg Kiselyov's left-fold enumerators

%global common_description %{common_summary}.

Name:           ghc-%{pkg_name}
Version:        0.4.17
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        MIT
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-transformers-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files
%doc examples


%changelog
* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.4.17-1
- update to 0.4.17 and cabal2spec-0.25.2

* Sat Oct 29 2011 Jens Petersen <petersen@redhat.com> - 0.4.15-1
- update to 0.4.15

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.4.13.1-2.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.4.13.1-2.1
- rebuild with new gmp

* Mon Jul 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.13.1-2
- Update to cabal2spec-0.24

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 0.4.13.1-1
- update to 0.4.13.1

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.4.10-3
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Wed May 11 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.10-2
- Add missing ppc64 ExclusiveArch

* Wed May 11 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.10-1
- Update to cabal2spec-0.22.7
- Update to 0.4.10

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.4.7-2
- Enable build on sparcv9

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.7-1
- Update to 0.4.7

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.5-3
- Rebuild for broken dependencies

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.5-1
- Update to 0.4.5

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.4-2
- Update to cabal2spec-0.22.4
- Rebuild

* Fri Dec 17 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.4-1
- Update to 0.4.4

* Fri Dec 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.3.1-1
- Update to 0.4.3.1

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.2-1
- Update to 0.4.2

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.0.1-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.0.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
